Member Function
Shape
Constructor
Shape<TValue, GenericShape> ()
Shape<TValue, GenericShape> (q)
Shape<TValue, GenericShape> (shape)
Shape<TValue, GenericShape> (bitmap)
Shape<TValue, GenericShape> (predefined)
Parameters

q | Creates an ungapped q-gram.
shape | Any other gapped/ungapped shape.
bitmap | Bitmap string. Sequence of '0's and '1's. See: stringToShape
predefined | Any instance of a predefined shape spec (e.g. ShapePatternHunter).

Member of
GenericShape
See Also
HardwiredShape
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49